1
jdseymour
XoopsGallery 1.33 and modern libraries

I am currently moving a Xoops 2.0.16 site to a new host. All seems to be working but xoopsgallery.

The server is running apache 2.2.15 php 5.2.13 and mysql 5.091

From the looks xoopsgallery was installed since 2006 version 1.33 I found 1.33.7 in the module repository but did not fix my problem. The random block shows no picture and blank page on the module page errors are as follows:

Quote:
Errors Notice: Undefined property: stdClass::$app in file /modules/xoopsgallery/config.php line 5 Notice: Undefined index: showOwners in file /modules/xoopsgallery/config.php line 59 Notice: Undefined index: HTTPS in file /modules/xoopsgallery/init.php line 74


I have of course told the client that he is using a very old version of xoops, but he is resisting upgrade. Any help will be appreciated.

2
redheadedrod
Re: XoopsGallery 1.33 and modern libraries

Chances are that the module was written for php4 and is broken in php5.

Alot of stuff that was written in php4 breaks in php5 because it was written in a non compatible manner. It is likely something relatively simple that needs to be changed to get it to work.


Rodney

Login

Who's Online

52 user(s) are online (33 user(s) are browsing Support Forums)


Members: 0


Guests: 52


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Aug 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits